package com.EmergencyAlertApplication.EAA.Services;

import com.EmergencyAlertApplication.EAA.Entities.Picture;
import com.EmergencyAlertApplication.EAA.Entities.PictureToTicket;
import com.EmergencyAlertApplication.EAA.Entities.Ticket;
import com.EmergencyAlertApplication.EAA.Repositories.PictureToTicketRepository;
import org.springframework.stereotype.Service;

@Service
public class PictureToTicketService {
    private final PictureToTicketRepository pictureToTicketRepository;

    public PictureToTicketService(PictureToTicketRepository pictureToTicketRepository) {
        this.pictureToTicketRepository = pictureToTicketRepository;
    }

    public void linkPictureToTicket(Picture picture, Ticket ticket) {
        PictureToTicket pictureToTicket = new PictureToTicket();
        pictureToTicket.setPicture(picture);
        pictureToTicket.setTicket(ticket);
        pictureToTicketRepository.save(pictureToTicket);
    }
}
